List webhook deliveries
curl --request GET \
--url https://api.portalhq.io/api/v3/custodians/me/integrations/due/webhooks/{webhookId}/events \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.portalhq.io/api/v3/custodians/me/integrations/due/webhooks/{webhookId}/events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.portalhq.io/api/v3/custodians/me/integrations/due/webhooks/{webhookId}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"items": [
{
"id": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"webhookEndpointId": "<string>",
"eventType": "<string>",
"eventData": [
123
],
"responseStatusCode": 123,
"responseBody": "<string>",
"attempts": 123,
"lastError": "<string>",
"lastAttemptAt": "2023-11-07T05:31:56Z"
}
],
"next": "<string>"
}
}{
"error": "<string>"
}Due
List webhook deliveries
Returns the delivery history for a webhook endpoint. The response is
paginated: when more events exist, data.next holds the cursor for the
next page. Query parameters are forwarded to Due, so pass that value back
as Due’s pagination cursor to page through the history.
GET
/
custodians
/
me
/
integrations
/
due
/
webhooks
/
{webhookId}
/
events
List webhook deliveries
Was this page helpful?
⌘I